<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ColorScaleFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ColorScaleFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColorScaleFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ColorScaleFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="ColorScaleFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface ColorScaleFormatting" class="title">Interface ColorScaleFormatting</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFColorScaleFormatting</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ColorScaleFormatting</span></pre>
                <div class="block">High level representation for the Color Scale / Colour Scale /
                    Color Gradient Formatting component of Conditional Formatting settings
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#createThreshold--">createThreshold</a></span>()</code>
                                    <div class="block">Creates a new, empty Threshold</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getColors--">getColors</a></span>()</code>
                                    <div class="block">Gets the list of colours that are interpolated
                                        between.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getNumControlPoints--">getNumControlPoints</a></span>()</code>
                                    <div class="block">How many control points should be used to map
                                        the colours? Normally 2 or 3
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getThresholds--">getThresholds</a></span>()</code>
                                    <div class="block">Gets the list of thresholds</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#setColors-org.apache.poi.ss.usermodel.Color:A-">setColors</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;colors)</code>
                                    <div class="block">Sets the list of colours that are interpolated
                                        between.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#setNumControlPoints-int-">setNumControlPoints</a></span>(int&nbsp;num)</code>
                                    <div class="block">Sets the number of control points to use to map
                                        the colours.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#setThresholds-org.apache.poi.ss.usermodel.ConditionalFormattingThreshold:A-">setThresholds</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a>[]&nbsp;thresholds)</code>
                                    <div class="block">Sets the of thresholds.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumControlPoints--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumControlPoints</h4>
                                <pre>int&nbsp;getNumControlPoints()</pre>
                                <div class="block">How many control points should be used to map
                                    the colours? Normally 2 or 3
                                </div>
                            </li>
                        </ul>
                        <a name="setNumControlPoints-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNumControlPoints</h4>
                                <pre>void&nbsp;setNumControlPoints(int&nbsp;num)</pre>
                                <div class="block">Sets the number of control points to use to map
                                    the colours. Should normally be 2 or 3.
                                    <p>After updating, you need to ensure that the
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/Threshold.html"
                                           title="class in org.apache.poi.hssf.record.cf"><code>Threshold</code></a>
                                        count and Color count match</div>
                            </li>
                        </ul>
                        <a name="getColors--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColors</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;getColors()</pre>
                                <div class="block">Gets the list of colours that are interpolated
                                    between.
                                </div>
                            </li>
                        </ul>
                        <a name="setColors-org.apache.poi.ss.usermodel.Color:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColors</h4>
                                <pre>void&nbsp;setColors(<a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                                            title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;colors)</pre>
                                <div class="block">Sets the list of colours that are interpolated
                                    between. The number must match <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getNumControlPoints--"><code>getNumControlPoints()</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="getThresholds--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThresholds</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a>[]&nbsp;getThresholds()</pre>
                                <div class="block">Gets the list of thresholds</div>
                            </li>
                        </ul>
                        <a name="setThresholds-org.apache.poi.ss.usermodel.ConditionalFormattingThreshold:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setThresholds</h4>
                                <pre>void&nbsp;setThresholds(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a>[]&nbsp;thresholds)</pre>
                                <div class="block">Sets the of thresholds. The number must match
                                    <a href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getNumControlPoints--"><code>getNumControlPoints()</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="createThreshold--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createThreshold</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                                        title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a>&nbsp;createThreshold()</pre>
                                <div class="block">Creates a new, empty Threshold</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColorScaleFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ColorScaleFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="ColorScaleFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
